## Regxlib::Username.standard

Standard username regular expression match that allows some flexibility.
Dashes, hyphens, and underscores are allowed, but
can not be placed at the start or end of a username.

Regex Pattern: /\A[a-zA-Z1234567890]+[a-zA-Z-_1234567890]+[a-zA-Z1234567890]\z/i

| Example | Result |
|-|-|
| username | Pass |
| user_name | Pass |
| username99 | Pass |
| user-name | Pass |
| username_ | Fail |
| username- | Fail |
| user.name | Fail |