## Regxlib::Email.co_uk_com

Regular expression that checks the email ends with .co.uk or .com

Regex Pattern: /\A[\w+-.]+@[a-z\d\-.]+\.([c]+[o]+\.[u]+[k]|[c]+[o]+[m])+\z/i

| Example | Result |
|-|-|
| `User_name@email.co.uk` | Pass |
| `user.name@email.com` | Pass |
| `user@website-url.co.uk` | Pass |
| `user-name@email.com` | Pass |
| `name@!email.com` | Fail |
| `name@_email.co.uk` | Fail  |
| `random^name@email.co.uk` | Fail  |