## Regxlib::Username.strict

Restrictive regular expression that only allows alphabetical characters.

Regex Pattern: /\A[a-zA]+[a-zA]+[a-zA]\z/i

| Example | Result |
|-|-|
| username | Pass |
| UserName | Pass |
| user_name | Fail |
| username99 | Fail |
| user-name | Fail |
| username_ | Fail |
| username- | Fail |
| user.name | Fail |